## ijs 0.35

=== debian/changelog ===
ijs (0.35-8build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2012 09:26:56 +0100

ijs (0.35-8) unstable; urgency=low

  * Friendly takeover:
    + Set Debian Printing Team as maintainer, and myself as uploader.
    Thanks for your contributions, Bradley Smith.
  * Update control file Vcs-* fields: Development moved to Alioth.
  * Rewrite rules file using CDBS.
  * Auto-resolve build-dependencies using CDBS and control.in.
  * Rewrite copyright file using draft 174 of DEP-5 format.
  * Regenerate autotools, and suppress lintian warning about old
    libtool.
  * Depend on ${misc:Depends}, and have -dev package depend versioned on
    lib package.
  * Bump policy compliance to standards-version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Aug 2011 20:28:01 +0200

ijs (0.35-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on ghostscript. Closes: #618239.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 01 Aug 2011 09:14:55 +0200

ijs (0.35-7) unstable; urgency=low

  * Update config.{sub,guess}.
  * Update Standards-Version to 3.8.1. (No changes).
  * Add Vcs-* fields.
  * Add Homepage field.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 25 Apr 2009 14:00:08 +0100

ijs (0.35-6) unstable; urgency=low

  * Fix parallel builds. Closes: #506527.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 22 Nov 2008 13:11:39 +0000

ijs (0.35-5) unstable; urgency=low

  * debian/control
    - New maintainer email address.
    - Update compat to 7 and upgrade debhelper Build-Depends.
    - Reformat descriptions.
  * Convert copyright to machine readable format.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 19 Oct 2008 21:54:12 +0100

ijs (0.35-4) unstable; urgency=low

  * New Maintainer. Closes: #479400
  * Remove control file generation.
  * Update Standards-Version to 3.8.0.
  * Depend on debhelper >= 5, and update compat to 5.
  * Tidy up debian/rules.
  * Add watch file.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 31 Aug 2008 12:24:52 +0100

ijs (0.35-3) unstable; urgency=low

  * debian/control:
    - Update to Standards-Version 3.7.2.
    - Build-Depend on debhelper v4.
  * debian/rules: Use debhelper v4 compatibility mode.

 -- Roger Leigh <rleigh@debian.org>  Sun,  9 Jul 2006 14:32:46 +0100

ijs (0.35-2) unstable; urgency=low

  * debian/control:
    - Update to Standards-Version 3.6.2.
    - Change Maintainer to Debian Printing Group
      <debian-printing@lists.debian.org>.

 -- Roger Leigh <rleigh@debian.org>  Fri, 15 Jul 2005 19:44:27 +0100

ijs (0.35-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version 3.6.0.
  * Drop libtool and build patch which has been incorporated upstream.
  * Rename libijs-$VERSION-dev to libijs-dev.  Version information
    is in the package, so the version in the name was redundant.
  * Use dh_install rather than dh_movefiles.
  * Use the distributed PDF manual rather than generating a PostScript
    version.
  * Build in a virtual root to work around distclean bug
    (the PDF manual is removed).

 -- Roger Leigh <rleigh@debian.org>  Wed, 11 Feb 2004 23:25:49 +0000

ijs (0.34-2) unstable; urgency=low

  * Update to Standards-Version 3.5.7.

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sat, 19 Oct 2002 15:17:33 +0100

ijs (0.34-1) unstable; urgency=low

  * Initial Release.
  * Close ijs ITP bug for wnpp, Closes: #141476
  * Add a manual page for ijs-config
  * Add automake and libtool build tools
  * Package both static and shared libraries

 -- Roger Leigh <roger@whinlatter.uklinux.net>  Sat, 11 May 2002 21:31:21 +0100
