=== debian/watch ===
version=3
http://www.linuxprinting.org/ijs/download/ijs-(\d.\d+).tar.gz
