## ijs 0.35-3

=== debian/control ===
Source: ijs
Section: text
Priority: optional
Maintainer: Debian Printing Group <debian-printing@lists.debian.org>
Uploaders: Thomas Maass <inyourface@gmx.de>
Build-Depends: debhelper (>> 4.0.0), gs-common
Standards-Version: 3.7.2

Package: libijs-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libijs-0.35
Description: IJS raster image transport protocol: development files
 IJS (InkJet Server) is, first and foremost, a protocol for
 transmission of raster page images.  This snapshot provides a
 reference implementation of the protocol, the design of which is
 still in flux. When the protocol specification is published, it will
 be authoritative.  Applications should feel free to link against the
 library provided in this package, adapt that code for their own
 needs, or roll a completely new implementation.
 .
 IJS is a client-server protocol, used to write ghostscript drivers.
 The drivers are separate programs.  The client and server communicate
 via pipes, though shared memory may be used additionally in the
 future.  Currently IJS is used by the hpijs and ijsgimpprint drivers.
 .
 Code for both the client- and server-side is included in the library.
 This package provides a static library, development headers and
 documentation.

Package: libijs-0.35
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: IJS raster image transport protocol: shared library
 IJS is, first and foremost, a protocol for transmission of raster
 page images.  This snapshot provides a reference implementation of
 the protocol, the design of which is still in flux. When the protocol
 specification is published, it will be authoritative.  Applications
 should feel free to link against the library provided in this
 package, adapt that code for their own needs, or roll a completely
 new implementation.
 .
 IJS is a client-server protocol, used to write ghostscript drivers.
 The drivers are separate programs.  The client and server communicate
 via pipes, though shared memory may be used additionally in the
 future.  Currently IJS is used by the hpijs and ijsgimpprint drivers.
 .
 Code for both the client- and server-side is included in the library.
 This package provides the shared library.
